Bug 1915823 (CVE-2020-35517) - CVE-2020-35517 QEMU: virtiofsd: potential privileged host device access from guest
Summary: CVE-2020-35517 QEMU: virtiofsd: potential privileged host device access from ...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-35517
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact: menli@redhat.com
URL:
Whiteboard:
Depends On: 1919106 1919109 1919110 1919111 1919112 1919113 1920740 1922046 1929015
Blocks: 1906357
TreeView+ depends on / blocked
 
Reported: 2021-01-13 13:43 UTC by Prasad J Pandit
Modified: 2021-07-07 19:05 UTC (History)
27 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in qemu. A host privilege escalation issue was found in the virtio-fs shared file system daemon where a privileged guest user is able to create a device special file in the shared directory and use it to r/w access host devices. The highest threat from this vulnerability is to data confidentiality and integrity as well as system availability.
Clone Of:
Environment:
Last Closed: 2021-03-03 19:01:52 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2021:0711 0 None None None 2021-03-03 13:03:15 UTC
Red Hat Product Errata RHSA-2021:0743 0 None None None 2021-03-08 10:13:27 UTC

Description Prasad J Pandit 2021-01-13 13:43:05 UTC
A potential host privilege escalation issue was found in the virtio-fs shared file system daemon (virtiofsd) of the QEMU. Virtio-fs daemon shares host directory tree with a guest VM. The said privilege escalation scenario may occur if a privileged guest user was to create device special file in the shared directory and use it to r/w access host devices. A privileged guest user may use this flaw to arbitrarily access (r/w) host files resulting in DoS scenario or may potentially reach privilege escalation on the host.

Upstream patch:
---------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2021-01/msg05461.html

Comment 1 Prasad J Pandit 2021-01-13 13:43:10 UTC
External References:

https://virtio-fs.gitlab.io/
https://www.openwall.com/lists/oss-security/2021/01/22/1

Comment 3 Prasad J Pandit 2021-01-19 14:44:29 UTC
Acknowledgments:

Name: Alex Xu (alxu.ca)

Comment 4 Prasad J Pandit 2021-01-22 07:51:22 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1919106]

Comment 6 Prasad J Pandit 2021-01-22 08:45:07 UTC
Statement:

This issue does not affect the version of the qemu-kvm package as shipped with the Red Hat Enterprise Linux 5, 6 and 7. Virtio-fs is fairly new and is not built in the Red Hat Enterprise Linux 5, 6 and 7.

This issue affects the version of the qemu-kvm package as shipped with the Red Hat Enterprise Linux 8. Future qemu-kvm package updates for Red Hat Enterprise Linux 8 may address this issue.

Comment 10 errata-xmlrpc 2021-03-03 13:03:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2021:0711 https://access.redhat.com/errata/RHSA-2021:0711

Comment 11 Product Security DevOps Team 2021-03-03 19:01:52 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-35517

Comment 12 errata-xmlrpc 2021-03-08 10:13:18 UTC
This issue has been addressed in the following products:

  Advanced Virtualization for RHEL 8.2.1

Via RHSA-2021:0743 https://access.redhat.com/errata/RHSA-2021:0743


Note You need to log in before you can comment on or make changes to this bug.